BubbleShop
  1. API References
  • Guides
    • Introduction
    • Key Features
    • Getting started
  • API References
    • Account
      GET
    • Product
      GET
    • Service
      GET
    • Order
      POST
    • Status
      GET
    • Nickname
      GET
  • Webhook
    • Notifications
  • Information
    • List Game
    • Status Code
    • How To Create Signature
  1. API References

Status

GET
/api/order/status
This endpoint retrieves the current status and detailed information of a specific transaction. You must provide the ref_id (Reference ID) as a query parameter.

Request

Authorization
Bearer Token
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
or
Query Params

Header Params

Responses

🟢200Success
application/json
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET 'https://topup.haibubble.com/api/order/status?ref_id=TRX20260301070' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json'
Response Response Example
{
    "status": 200,
    "success": true,
    "message": "Transaction retrieved successfully",
    "data": {
        "ref_id": "TRX20260301070",
        "order_id": "BS9A6D8D04A0",
        "service_code": "BSML301FB1E",
        "service_name": "MOBILELEGEND - 963 Diamond",
        "status": "Success"
    }
}
Modified at 2026-02-28 23:52:01
Previous
Order
Next
Nickname
Built with